## psycopg3 3.0.1

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build
PYTHON        ?= python3

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O) || true

serve:
	PSYCOPG_IMPL=python sphinx-autobuild . _build/html/

.PHONY: help serve env Makefile

env: .venv

.venv:
	$(PYTHON) -m venv .venv
	./.venv/bin/pip install -e ../psycopg[docs] ../psycopg_pool

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O) || true

=== debian/changelog ===
psycopg3 (3.0.1-1) unstable; urgency=medium

  * Initial release (Closes: #995447).

 -- Tomasz Rybak <serpent@debian.org>  Tue, 19 Apr 2022 20:24:23 +0200

=== debian/control ===
Source: psycopg3
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 libpq-dev,
 postgresql,
 cmake,
 python3-all:any,
 python3-setuptools,
 python3-pytest <!nocheck>,
 python3-dnspython <!nocheck>,
 python3-shapely <!nocheck>,
 python3-tenacity <!nocheck>
Build-Depends-Indep:
 python3-doc <!nodoc>,
 python-psycopg2-doc <!nodoc>,
 python3-sphinx (>= 1.0.7+dfsg-1~) <!nodoc>,
 python3-sphinx-autodoc-typehints <!nodoc>
Maintainer: Tomasz Rybak <serpent@debian.org>
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/psycopg3.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/psycopg3
Homepage: https://www.psycopg.org/psycopg3/

Package: python3-psycopg3
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
 libpq5
Suggests:
 python3-psycopg3-pool
Description: PostgreSQL database adapter for Python 3
 Psycopg 3 is a newly designed PostgreSQL database adapter for the Python
 programming language.
 .
 Psycopg 3 is a complete rewrite of Psycopg 2, maintaining the same
 fundamental libpq wrapper architecture and DB-API interface design, but
 exposing new features to better work with the newer versions of Python
 and PostgreSQL.
 .
 On the Python side, Psycopg 3 allows the use of asyncio-based
 concurrency and static typing. Many improvement to the Python interface
 make the library much simpler and more idiomatic to use,
 .
 On the PostgreSQL side, Psycopg 3 makes use of server-side parameters,
 prepared statements, binary parameters, and great support for COPY
 operations.
 .
 Psycopg 3 presents a familiar interface for everyone who has used
 Psycopg 2 or any other `DB-API 2.0` database adapter, but allows one
 to use more modern PostgreSQL and Python features, such as:
  - Strict Strong Typing
  - asynchronous support
  - server-side parameters binding
  - binary communication
  - a great integration of the COPY support
  - direct access to the libpq functionalities

Package: python3-psycopg3-pool
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
 python3-psycopg3 (= ${binary:Version})
Description: PostgreSQL database adapter for Python 3: connection pool
 Psycopg 3 is a newly designed PostgreSQL database adapter for the Python
 programming language.
 .
 Psycopg 3 is a complete rewrite of Psycopg 2, maintaining the same
 fundamental libpq wrapper architecture and DB-API interface design, but
 exposing new features to better work with the newer versions of Python
 and PostgreSQL.
 .
 On the Python side, Psycopg 3 allows the use of asyncio-based
 concurrency and static typing. Many improvement to the Python interface
 make the library much simpler and more idiomatic to use,
 .
 On the PostgreSQL side, Psycopg 3 makes use of server-side parameters,
 prepared statements, binary parameters, and great support for COPY
 operations.
 .
 Psycopg 3 presents a familiar interface for everyone who has used
 Psycopg 2 or any other `DB-API 2.0` database adapter, but allows one
 to use more modern PostgreSQL and Python features, such as:
  - Strict Strong Typing
  - asynchronous support
  - server-side parameters binding
  - binary communication
  - a great integration of the COPY support
  - direct access to the libpq functionalities
 .
 This package contains two connection pool implementations

Package: python-psycopg3-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Build-Profiles: <!nodoc>
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends}
Recommends:
 python3-doc,
 python-psycopg2-doc
Suggests: python3-psycopg3
Description: PostgreSQL database adapter for Python 3 (documentation package)
 Psycopg 3 is a newly designed PostgreSQL database adapter for the Python
 programming language.
 .
 Psycopg 3 is a complete rewrite of Psycopg 2, maintaining the same
 fundamental libpq wrapper architecture and DB-API interface design, but
 exposing new features to better work with the newer versions of Python
 and PostgreSQL.
 .
 On the Python side, Psycopg 3 allows the use of asyncio-based
 concurrency and static typing. Many improvement to the Python interface
 make the library much simpler and more idiomatic to use,
 .
 On the PostgreSQL side, Psycopg 3 makes use of server-side parameters,
 prepared statements, binary parameters, and great support for COPY
 operations.
 .
 Psycopg 3 presents a familiar interface for everyone who has used
 Psycopg 2 or any other `DB-API 2.0` database adapter, but allows one
 to use more modern PostgreSQL and Python features, such as:
  - Strict Strong Typing
  - asynchronous support
  - server-side parameters binding
  - binary communication
  - a great integration of the COPY support
  - direct access to the libpq functionalities
 .
 This package contains the psycopg3 documentation

=== debian/rules ===
#!/usr/bin/make -f

# Allow for silencing build process
ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
export DH_VERBOSE = 1
export PYBUILD_VERBOSE=1
else
export DH_QUIET = 1
endif

# Enable all hardening options
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall -pedantic
DPKG_EXPORT_BUILDFLAGS = 1

# Needed for extracting build-related metadata
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/architecture.mk

# Don't perform optimisation when we want to have all binary symbols
ifneq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
DEB_CXXFLAGS_MAINT_STRIP=-O2
DEB_CXXFLAGS_MAINT_APPEND=-O0
endif

# Rename package to avoid potential conflict with psycopg2
export PYBUILD_NAME = psycopg3
# And don't even try to built for Python 2: Python 3.6 is required
export PYBUILD_DISABLE_python2 = 1

# Reproducible builds - build date is taken from debian/changelog
BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "@$(SOURCE_DATE_EPOCH)")
SPHINXOPTS:=-D today=\"$(BUILD_DATE)\"
SPHINXOPTS+=-D html_last_updated_fmt=\"$(BUILD_DATE)\"

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

# We need to build 3 different modules, from 3 different directories
override_dh_auto_clean:
	PYBUILD_DIR=psycopg dh_auto_clean -- --name psycopg3
	PYBUILD_DIR=psycopg_pool dh_auto_clean -- --name psycopg3_pool
# Not buildable yet - requires Cython newer than currently in Debian
#	PYBUILD_DIR=psycopg_c dh_auto_clean -- --name psycopg3_c

override_dh_auto_configure:
	PYBUILD_DIR=psycopg dh_auto_configure -- --name psycopg3
	PYBUILD_DIR=psycopg_pool dh_auto_configure -- --name psycopg3_pool
# Not buildable yet - requires Cython newer than currently in Debian
#	PYBUILD_DIR=psycopg_c dh_auto_configure -- --name psycopg3_c

override_dh_auto_build:
	PYBUILD_DIR=psycopg dh_auto_build -- --name psycopg3
	PYBUILD_DIR=psycopg_pool dh_auto_build -- --name psycopg3_pool
# Not buildable yet - requires Cython newer than currently in Debian
#	PYBUILD_DIR=psycopg_c dh_auto_build -- --name psycopg3_c

override_dh_auto_install:
	PYBUILD_DIR=psycopg dh_auto_install -- --name psycopg3
	PYBUILD_DIR=psycopg_pool dh_auto_install -- --name psycopg3_pool
# Not buildable yet - requires Cython newer than currently in Debian
#	PYBUILD_DIR=psycopg_c dh_auto_install -- --name psycopg3_c

override_dh_installdocs:
# Don't build documentation when required not to do it
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
# Documentation requires psycopg module to analyse existing types
	SPHINXOPTS="$(SPHINXOPTS)" pybuild --build -i python3 -s custom --build-args 'make -C {dir}/docs html'
	dh_installdocs
endif

override_dh_auto_test-arch:
# Don't run tests when required not to do it
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
ifneq ($(DEB_HOST_ARCH),hurd-i386)
	LANG=C.UTF-8 LC_ALL=C.UTF-8 \
	PSYCOPG_TEST_DSN="host=localhost dbname=postgres" \
	PSYCOPG_IMPL=python \
	pg_virtualenv pytest-3 -m "not slow"
#	LANG=C.UTF-8 LC_ALL=C.UTF-8 \
	PSYCOPG_TEST_DSN="host=localhost dbname=postgres" \
	PSYCOPG_IMPL=c \
	pg_virtualenv pytest-3 -m "not slow"
endif
endif

override_dh_auto_test-indep:

## psycopg3 3.1.7

=== debian/changelog ===
psycopg3 (3.1.7-4) unstable; urgency=medium

  * Add *.pydist files to deal with dh_python psycopg names overrides.

 -- Tomasz Rybak <serpent@debian.org>  Wed, 18 Jan 2023 21:12:00 +0100

psycopg3 (3.1.7-3) unstable; urgency=medium

  * Source-only upload to allow migration to testing.

 -- Tomasz Rybak <serpent@debian.org>  Mon, 16 Jan 2023 20:34:16 +0100

psycopg3 (3.1.7-2) unstable; urgency=medium

  * Rename Debian binary packages to reflect upstream Python package names;
    (Closes: #1016031).

 -- Tomasz Rybak <serpent@debian.org>  Fri, 13 Jan 2023 13:33:51 +0100

psycopg3 (3.1.7-1) unstable; urgency=medium

  [ Tomasz Rybak ]
  * New upstream version 3.1.7 (Closes: #1026134).
    * Refresh patches.
  * Remove change-Sphinx-theme.patch - use default furo, packaged in Debian.
  * Replace "dh --with" in debian/rules calls with
    dependencies on dh-sequence-*.
  * Add dependency on pybuild-plugin-pyproject, for PEP-517,
    as pointed by lintian.
  * Add debian/gbp.conf file with settings used by Python team.
  * Add Python team to Uploaders.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends-Indep: Drop versioned constraint on python3-sphinx.
  * Replace spaces in short license names with dashes.
  * Update standards version to 4.6.2, no changes needed.

 -- Tomasz Rybak <serpent@debian.org>  Wed, 28 Dec 2022 21:34:23 +0100

psycopg3 (3.1.3-0.1) unstable; urgency=medium

  * Non-maintainer source-only upload (Closes: #1014833).
  * Updating to current upstream as needed by pgcli (Closes: #1021249):
    - rediffing change-Sphinx-theme.patch.
    - rediffing use-local-documentation.patch.
    - adding newly required python3-typing-extensions to build-depends.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 05 Oct 2022 10:48:22 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,16 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc,
  dh-python,
  libpq-dev,
  postgresql,
  cmake,
  python3-all:any,
  python3-setuptools,
+ pybuild-plugin-pyproject,
+ python3-typing-extensions,
  python3-pytest <!nocheck>,
  python3-dnspython <!nocheck>,
  python3-shapely <!nocheck>,
@@ -16,16 +20,18 @@
 Build-Depends-Indep:
  python3-doc <!nodoc>,
  python-psycopg2-doc <!nodoc>,
- python3-sphinx (>= 1.0.7+dfsg-1~) <!nodoc>,
- python3-sphinx-autodoc-typehints <!nodoc>
+ python3-sphinx <!nodoc>,
+ python3-sphinx-autodoc-typehints <!nodoc>,
+ furo <!nodoc>,
 Maintainer: Tomasz Rybak <serpent@debian.org>
-Standards-Version: 4.6.0
+Uploaders: Debian Python Team <team+python@tracker.debian.org>
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/psycopg3.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/psycopg3
 Homepage: https://www.psycopg.org/psycopg3/
 
-Package: python3-psycopg3
+Package: python3-psycopg
 Architecture: all
 Depends:
  ${misc:Depends},
@@ -33,7 +39,10 @@
  ${shlibs:Depends},
  libpq5
 Suggests:
- python3-psycopg3-pool
+ python3-psycopg-pool,
+ python-psycopg-doc
+Conflicts: python3-psycopg3
+Replaces: python3-psycopg3
 Description: PostgreSQL database adapter for Python 3
  Psycopg 3 is a newly designed PostgreSQL database adapter for the Python
  programming language.
@@ -61,13 +70,15 @@
   - a great integration of the COPY support
   - direct access to the libpq functionalities
 
-Package: python3-psycopg3-pool
+Package: python3-psycopg-pool
 Architecture: all
 Depends:
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
- python3-psycopg3 (= ${binary:Version})
+ python3-psycopg (= ${binary:Version})
+Conflicts: python3-psycopg3-pool
+Replaces: python3-psycopg3-pool
 Description: PostgreSQL database adapter for Python 3: connection pool
  Psycopg 3 is a newly designed PostgreSQL database adapter for the Python
  programming language.
@@ -97,7 +108,7 @@
  .
  This package contains two connection pool implementations
 
-Package: python-psycopg3-doc
+Package: python-psycopg-doc
 Section: doc
 Architecture: all
 Multi-Arch: foreign
@@ -108,7 +119,9 @@
 Recommends:
  python3-doc,
  python-psycopg2-doc
-Suggests: python3-psycopg3
+Suggests: python3-psycopg
+Conflicts: python-psycopg3-doc
+Replaces: python-psycopg3-doc
 Description: PostgreSQL database adapter for Python 3 (documentation package)
  Psycopg 3 is a newly designed PostgreSQL database adapter for the Python
  programming language.

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 endif
 
 # Rename package to avoid potential conflict with psycopg2
-export PYBUILD_NAME = psycopg3
+export PYBUILD_NAME = psycopg
 # And don't even try to built for Python 2: Python 3.6 is required
 export PYBUILD_DISABLE_python2 = 1
 
@@ -35,32 +35,32 @@
 SPHINXOPTS+=-D html_last_updated_fmt=\"$(BUILD_DATE)\"
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 # We need to build 3 different modules, from 3 different directories
 override_dh_auto_clean:
-	PYBUILD_DIR=psycopg dh_auto_clean -- --name psycopg3
-	PYBUILD_DIR=psycopg_pool dh_auto_clean -- --name psycopg3_pool
+	PYBUILD_DIR=psycopg dh_auto_clean -- --name psycopg
+	PYBUILD_DIR=psycopg_pool dh_auto_clean -- --name psycopg_pool
 # Not buildable yet - requires Cython newer than currently in Debian
-#	PYBUILD_DIR=psycopg_c dh_auto_clean -- --name psycopg3_c
+#	PYBUILD_DIR=psycopg_c dh_auto_clean -- --name psycopg_c
 
 override_dh_auto_configure:
-	PYBUILD_DIR=psycopg dh_auto_configure -- --name psycopg3
-	PYBUILD_DIR=psycopg_pool dh_auto_configure -- --name psycopg3_pool
+	PYBUILD_DIR=psycopg dh_auto_configure -- --name psycopg
+	PYBUILD_DIR=psycopg_pool dh_auto_configure -- --name psycopg_pool
 # Not buildable yet - requires Cython newer than currently in Debian
-#	PYBUILD_DIR=psycopg_c dh_auto_configure -- --name psycopg3_c
+#	PYBUILD_DIR=psycopg_c dh_auto_configure -- --name psycopg_c
 
 override_dh_auto_build:
-	PYBUILD_DIR=psycopg dh_auto_build -- --name psycopg3
-	PYBUILD_DIR=psycopg_pool dh_auto_build -- --name psycopg3_pool
+	PYBUILD_DIR=psycopg dh_auto_build -- --name psycopg
+	PYBUILD_DIR=psycopg_pool dh_auto_build -- --name psycopg_pool
 # Not buildable yet - requires Cython newer than currently in Debian
-#	PYBUILD_DIR=psycopg_c dh_auto_build -- --name psycopg3_c
+#	PYBUILD_DIR=psycopg_c dh_auto_build -- --name psycopg_c
 
 override_dh_auto_install:
-	PYBUILD_DIR=psycopg dh_auto_install -- --name psycopg3
-	PYBUILD_DIR=psycopg_pool dh_auto_install -- --name psycopg3_pool
+	PYBUILD_DIR=psycopg dh_auto_install -- --name psycopg
+	PYBUILD_DIR=psycopg_pool dh_auto_install -- --name psycopg_pool
 # Not buildable yet - requires Cython newer than currently in Debian
-#	PYBUILD_DIR=psycopg_c dh_auto_install -- --name psycopg3_c
+#	PYBUILD_DIR=psycopg_c dh_auto_install -- --name psycopg_c
 
 override_dh_installdocs:
 # Don't build documentation when required not to do it

=== debian/watch ===
version=4
opts="mode=git, gitmode=full, pgpmode=gittag, uversionmangle=s/.dev/~/;s/.alpha/~alpha/;s/.beta/~beta/;s/.rc/~rc/;s/([0-9])([ab][0-9]*)/$1~$2/g" \
 https://github.com/psycopg/@PACKAGE@.git refs/tags/@ANY_VERSION@ \
 debian uupdate

## psycopg3 3.1.8

=== debian/changelog ===
psycopg3 (3.1.8-0ubuntu1) mantic; urgency=medium

  * New upstream release 3.1.8 (LP: #2022089)
    - This release update makes psycopg3 compatible with Django 4.2, see:
      https://docs.djangoproject.com/en/4.2/releases/4.2/#psycopg-3-support
    - Updates:
      + Don't pollute server logs when types looked for by TypeInfo.fetch()
        are not found.
      + Set Cursor.rowcount to the number of rows of each result set from
        Cursor.executemany() when called with !returning=True.
      + Fix TypeInfo.fetch() when used with ClientCursor

 -- Lena Voytek <lena.voytek@canonical.com>  Wed, 30 Aug 2023 07:23:06 -0700

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,8 @@
  python3-sphinx <!nodoc>,
  python3-sphinx-autodoc-typehints <!nodoc>,
  furo <!nodoc>,
-Maintainer: Tomasz Rybak <serpent@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Tomasz Rybak <serpent@debian.org>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>
 Standards-Version: 4.6.2
 Rules-Requires-Root: no

## psycopg3 3.1.10

=== debian/changelog ===
psycopg3 (3.1.10-1) unstable; urgency=medium

  * Team upload
  * [b280f01] d/watch: Reorder options to one option per line
  * [3eda65d] New upstream version 3.1.10
  * [9ce62b4] d/copyright: Update content and year data
  * [acbf568] d/rules: Extend override_dh_clean
    (Closes: #1049246)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 06 Sep 2023 13:28:49 +0530

## psycopg3 3.1.17

=== debian/changelog ===
psycopg3 (3.1.17-2) unstable; urgency=medium

  * Revert usage of different versions for psycopg and psycopg-pool.

 -- Tomasz Rybak <serpent@debian.org>  Thu, 18 Jan 2024 18:39:31 +0100

psycopg3 (3.1.17-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.1.17.
    + Fixes usage of pg_service.conf. (Upstream #694)

 -- Christoph Berg <myon@debian.org>  Tue, 16 Jan 2024 16:51:11 +0100

psycopg3 (3.1.13-1) unstable; urgency=medium

  * New upstream version 3.1.13
  * Use different version for psycopg-pool.

 -- Tomasz Rybak <serpent@debian.org>  Tue, 28 Nov 2023 23:26:15 +0100

psycopg3 (3.1.12-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.1.12

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 12 Oct 2023 19:55:01 +0200

=== debian/control ===
--- 
+++ 
@@ -23,8 +23,7 @@
  python3-sphinx <!nodoc>,
  python3-sphinx-autodoc-typehints <!nodoc>,
  furo <!nodoc>,
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Tomasz Rybak <serpent@debian.org>
+Maintainer: Tomasz Rybak <serpent@debian.org>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
@@ -77,7 +76,7 @@
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
- python3-psycopg (= ${binary:Version})
+ python3-psycopg
 Conflicts: python3-psycopg3-pool
 Replaces: python3-psycopg3-pool
 Description: PostgreSQL database adapter for Python 3: connection pool

=== debian/rules ===
--- 
+++ 
@@ -43,6 +43,7 @@
 	PYBUILD_DIR=psycopg_pool dh_auto_clean -- --name psycopg_pool
 # Not buildable yet - requires Cython newer than currently in Debian
 #	PYBUILD_DIR=psycopg_c dh_auto_clean -- --name psycopg_c
+	rm -rf docs/_build
 
 override_dh_auto_configure:
 	PYBUILD_DIR=psycopg dh_auto_configure -- --name psycopg

## psycopg3 3.2.1

=== debian/changelog ===
psycopg3 (3.2.1-3) unstable; urgency=medium

  * Team upload.
  * Fix architecture-dependent-only builds (closes: #1077918).
  * Only build psycopg_c in architecture-dependent builds.

 -- Colin Watson <cjwatson@debian.org>  Wed, 21 Aug 2024 00:54:23 +0100

psycopg3 (3.2.1-2) unstable; urgency=medium

  * Build binary python3-psycopg-c module using Cython3.
    * Fix build dependencies
  * Allow usage of psycopg by PyPy even when binary module is installed.
  * Remove unnecessary lintian override: it's screened by lintian itself.
  * Split tests for binary and Python modules to arch and indep targets.

 -- Tomasz Rybak <serpent@debian.org>  Thu, 01 Aug 2024 22:05:39 +0200

psycopg3 (3.2.1-1) unstable; urgency=medium

  * New upstream version 3.2.1
    * Refresh patches.
    * Add build-time dependency on numpy documentation.
  * Update standards version to 4.7.0, no changes needed.

 -- Tomasz Rybak <serpent@debian.org>  Mon, 01 Jul 2024 19:42:15 +0200

psycopg3 (3.1.19-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Thu, 16 May 2024 22:06:08 +0100

psycopg3 (3.1.18-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sat, 16 Mar 2024 00:23:57 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libpq-dev,
  postgresql,
  cmake,
- python3-all:any,
+ python3-all-dev,
  python3-setuptools,
  pybuild-plugin-pyproject,
  python3-typing-extensions,
@@ -20,12 +20,15 @@
 Build-Depends-Indep:
  python3-doc <!nodoc>,
  python-psycopg2-doc <!nodoc>,
+ python-numpy-doc <!nodoc>,
  python3-sphinx <!nodoc>,
  python3-sphinx-autodoc-typehints <!nodoc>,
  furo <!nodoc>,
+Build-Depends-Arch:
+ cython3,
 Maintainer: Tomasz Rybak <serpent@debian.org>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/psycopg3.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/psycopg3
@@ -38,6 +41,8 @@
  ${python3:Depends},
  ${shlibs:Depends},
  libpq5
+Recommends:
+ python3-psycopg-c
 Suggests:
  python3-psycopg-pool,
  python-psycopg-doc
@@ -69,6 +74,46 @@
   - binary communication
   - a great integration of the COPY support
   - direct access to the libpq functionalities
+
+Package: python3-psycopg-c
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
+ ${shlibs:Depends},
+ libpq5,
+ python3-psycopg (= ${source:Version})
+Suggests:
+ python3-psycopg-pool,
+ python-psycopg-doc
+Description: PostgreSQL database adapter for Python 3 - binary module
+ Psycopg 3 is a newly designed PostgreSQL database adapter for the Python
+ programming language.
+ .
+ Psycopg 3 is a complete rewrite of Psycopg 2, maintaining the same
+ fundamental libpq wrapper architecture and DB-API interface design, but
+ exposing new features to better work with the newer versions of Python
+ and PostgreSQL.
+ .
+ On the Python side, Psycopg 3 allows the use of asyncio-based
+ concurrency and static typing. Many improvement to the Python interface
+ make the library much simpler and more idiomatic to use,
+ .
+ On the PostgreSQL side, Psycopg 3 makes use of server-side parameters,
+ prepared statements, binary parameters, and great support for COPY
+ operations.
+ .
+ Psycopg 3 presents a familiar interface for everyone who has used
+ Psycopg 2 or any other `DB-API 2.0` database adapter, but allows one
+ to use more modern PostgreSQL and Python features, such as:
+  - Strict Strong Typing
+  - asynchronous support
+  - server-side parameters binding
+  - binary communication
+  - a great integration of the COPY support
+  - direct access to the libpq functionalities
+ .
+ This package contains binary module, increasing performance of operations
 
 Package: python3-psycopg-pool
 Architecture: all
@@ -118,6 +163,7 @@
  ${sphinxdoc:Depends}
 Recommends:
  python3-doc,
+ python-numpy-doc,
  python-psycopg2-doc
 Suggests: python3-psycopg
 Conflicts: python-psycopg3-doc

=== debian/rules ===
--- 
+++ 
@@ -38,47 +38,46 @@
 	dh $@ --buildsystem=pybuild
 
 # We need to build 3 different modules, from 3 different directories
-override_dh_auto_clean:
+override_dh_auto_clean-indep:
 	PYBUILD_DIR=psycopg dh_auto_clean -- --name psycopg
 	PYBUILD_DIR=psycopg_pool dh_auto_clean -- --name psycopg_pool
-# Not buildable yet - requires Cython newer than currently in Debian
-#	PYBUILD_DIR=psycopg_c dh_auto_clean -- --name psycopg_c
 	rm -rf docs/_build
 
-override_dh_auto_configure:
+override_dh_auto_clean-arch:
+	PYBUILD_DIR=psycopg_c dh_auto_clean -- --name psycopg_c
+
+override_dh_auto_configure-indep:
 	PYBUILD_DIR=psycopg dh_auto_configure -- --name psycopg
 	PYBUILD_DIR=psycopg_pool dh_auto_configure -- --name psycopg_pool
-# Not buildable yet - requires Cython newer than currently in Debian
-#	PYBUILD_DIR=psycopg_c dh_auto_configure -- --name psycopg_c
 
-override_dh_auto_build:
+override_dh_auto_configure-arch:
+	PYBUILD_DIR=psycopg_c dh_auto_configure -- --name psycopg_c
+
+override_dh_auto_build-indep:
 	PYBUILD_DIR=psycopg dh_auto_build -- --name psycopg
 	PYBUILD_DIR=psycopg_pool dh_auto_build -- --name psycopg_pool
-# Not buildable yet - requires Cython newer than currently in Debian
-#	PYBUILD_DIR=psycopg_c dh_auto_build -- --name psycopg_c
 
-override_dh_auto_install:
+override_dh_auto_build-arch:
+	PYBUILD_DIR=psycopg_c dh_auto_build -- --name psycopg_c
+
+override_dh_auto_install-indep:
 	PYBUILD_DIR=psycopg dh_auto_install -- --name psycopg
 	PYBUILD_DIR=psycopg_pool dh_auto_install -- --name psycopg_pool
-# Not buildable yet - requires Cython newer than currently in Debian
-#	PYBUILD_DIR=psycopg_c dh_auto_install -- --name psycopg_c
 
-override_dh_installdocs:
+override_dh_auto_install-arch:
+	PYBUILD_DIR=psycopg_c dh_auto_install -- --name psycopg_c
+
+execute_before_dh_installdocs-indep:
 # Don't build documentation when required not to do it
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 # Documentation requires psycopg module to analyse existing types
 	SPHINXOPTS="$(SPHINXOPTS)" pybuild --build -i python3 -s custom --build-args 'make -C {dir}/docs html'
-	dh_installdocs
 endif
 
+# Don't run tests when required not to do it
 override_dh_auto_test-arch:
-# Don't run tests when required not to do it
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 ifneq ($(DEB_HOST_ARCH),hurd-i386)
-	LANG=C.UTF-8 LC_ALL=C.UTF-8 \
-	PSYCOPG_TEST_DSN="host=localhost dbname=postgres" \
-	PSYCOPG_IMPL=python \
-	pg_virtualenv pytest-3 -m "not slow"
 #	LANG=C.UTF-8 LC_ALL=C.UTF-8 \
 	PSYCOPG_TEST_DSN="host=localhost dbname=postgres" \
 	PSYCOPG_IMPL=c \
@@ -87,3 +86,12 @@
 endif
 
 override_dh_auto_test-indep:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+ifneq ($(DEB_HOST_ARCH),hurd-i386)
+#	LANG=C.UTF-8 LC_ALL=C.UTF-8 \
+	PSYCOPG_TEST_DSN="host=localhost dbname=postgres" \
+	PSYCOPG_IMPL=python \
+	pg_virtualenv pytest-3 -m "not slow"
+endif
+endif
+

## psycopg3 3.2.3

=== debian/changelog ===
psycopg3 (3.2.3-2) unstable; urgency=medium

  * Team upload.
  * Don't run tests marked as flakey.

 -- Colin Watson <cjwatson@debian.org>  Mon, 28 Oct 2024 12:34:22 +0000

psycopg3 (3.2.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Wed, 02 Oct 2024 16:40:16 +0100

psycopg3 (3.2.2-1) unstable; urgency=medium

  [ Tomasz Rybak ]
  * New upstream version 3.2.2
    * Refresh patches.
  * Enable build-time tests.

  [ Colin Watson ]
  * Run tests via pybuild.
  * Add autopkgtests using pybuild-autopkgtest.

 -- Tomasz Rybak <serpent@debian.org>  Mon, 30 Sep 2024 21:22:55 +0200

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
  python3-setuptools,
  pybuild-plugin-pyproject,
  python3-typing-extensions,
+ python3-anyio <!nocheck>,
  python3-pytest <!nocheck>,
  python3-dnspython <!nocheck>,
  python3-shapely <!nocheck>,

=== debian/rules ===
--- 
+++ 
@@ -28,6 +28,8 @@
 export PYBUILD_NAME = psycopg
 # And don't even try to built for Python 2: Python 3.6 is required
 export PYBUILD_DISABLE_python2 = 1
+export PYBUILD_TEST_CUSTOM = 1
+export PYBUILD_TEST_ARGS = $(CURDIR)/debian/run-tests {interpreter} {dir} {home_dir}
 
 # Reproducible builds - build date is taken from debian/changelog
 BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "@$(SOURCE_DATE_EPOCH)")
@@ -76,22 +78,11 @@
 
 # Don't run tests when required not to do it
 override_dh_auto_test-arch:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 ifneq ($(DEB_HOST_ARCH),hurd-i386)
-#	LANG=C.UTF-8 LC_ALL=C.UTF-8 \
-	PSYCOPG_TEST_DSN="host=localhost dbname=postgres" \
-	PSYCOPG_IMPL=c \
-	pg_virtualenv pytest-3 -m "not slow"
-endif
+	PSYCOPG_IMPL=c dh_auto_test -- --name psycopg_c
 endif
 
 override_dh_auto_test-indep:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 ifneq ($(DEB_HOST_ARCH),hurd-i386)
-#	LANG=C.UTF-8 LC_ALL=C.UTF-8 \
-	PSYCOPG_TEST_DSN="host=localhost dbname=postgres" \
-	PSYCOPG_IMPL=python \
-	pg_virtualenv pytest-3 -m "not slow"
+	PSYCOPG_IMPL=python dh_auto_test -- --name psycopg
 endif
-endif
-

## psycopg3 3.2.4

=== debian/changelog ===
psycopg3 (3.2.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Fri, 17 Jan 2025 15:02:11 +0000

psycopg3 (3.2.3-5) unstable; urgency=medium

  * Team upload.

  [ Colin Watson ]
  * Explicitly build-depend on python3-numpy.
  * Fix missing comma in Sphinx configuration (closes: #1090263).

  [ Alexandre Detiste ]
  * Remove reference to Python 2.

 -- Colin Watson <cjwatson@debian.org>  Fri, 20 Dec 2024 01:04:21 +0000

psycopg3 (3.2.3-4) unstable; urgency=medium

  * Team upload.
  * test(numpy): fix integer type handling harder (closes: #1086590).

 -- Colin Watson <cjwatson@debian.org>  Wed, 13 Nov 2024 08:18:21 +0000

psycopg3 (3.2.3-3) unstable; urgency=medium

  * Team upload.
  * test(numpy): account for 32 bits systems in size checks (closes:
    #1086590).

 -- Colin Watson <cjwatson@debian.org>  Sun, 10 Nov 2024 18:03:45 +0000

## psycopg3 3.2.5

=== debian/changelog ===
psycopg3 (3.2.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 02 Mar 2025 17:50:18 +0000

## psycopg3 3.2.6

=== debian/changelog ===
psycopg3 (3.2.6-1build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 21 Oct 2025 10:22:27 +0000

psycopg3 (3.2.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 18 Mar 2025 10:35:29 +0000

=== debian/watch ===
version=4
opts="mode=git, \
      compression=xz, \
      gitmode=full, \
	  pgpmode=gittag, \
	  uversionmangle=s/.dev/~/;s/.alpha/~alpha/;s/.beta/~beta/;s/.rc/~rc/;s/([0-9])([ab][0-9]*)/$1~$2/g" \
https://github.com/psycopg/@PACKAGE@.git refs/tags/@ANY_VERSION@ \
 debian uupdate

## psycopg3 3.2.10

=== debian/changelog ===
psycopg3 (3.2.10-2) unstable; urgency=medium

  * Team upload.
  * Skip tests/test_module.py::test_version in architecture-dependent-only
    builds.

 -- Colin Watson <cjwatson@debian.org>  Mon, 13 Oct 2025 16:25:29 +0100

psycopg3 (3.2.10-1) unstable; urgency=medium

  * Team upload.
  * debian/watch: Upgrade to v5.
  * New upstream release:
    - Fix building with PostgreSQL v18 libpq (closes: #1117367).

 -- Colin Watson <cjwatson@debian.org>  Mon, 13 Oct 2025 00:55:47 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
  debhelper-compat (= 13),
  dh-sequence-python3,
  dh-sequence-sphinxdoc,
- dh-python,
  libpq-dev,
  postgresql,
  cmake,
@@ -16,6 +15,7 @@
  python3-anyio <!nocheck>,
  python3-pytest <!nocheck>,
  python3-dnspython <!nocheck>,
+ python3-numpy <!nocheck>,
  python3-shapely <!nocheck>,
  python3-tenacity <!nocheck>
 Build-Depends-Indep:

=== debian/rules ===
--- 
+++ 
@@ -26,8 +26,6 @@
 
 # Rename package to avoid potential conflict with psycopg2
 export PYBUILD_NAME = psycopg
-# And don't even try to built for Python 2: Python 3.6 is required
-export PYBUILD_DISABLE_python2 = 1
 export PYBUILD_TEST_CUSTOM = 1
 export PYBUILD_TEST_ARGS = $(CURDIR)/debian/run-tests {interpreter} {dir} {home_dir}

=== debian/tests/control ===
Test-Command: PSYCOPG_IMPL=c pybuild-autopkgtest
Depends: @, @builddeps@,
Restrictions: allow-stderr, skippable,
Features: test-name=pybuild-autopkgtest-c

Test-Command: PSYCOPG_IMPL=python pybuild-autopkgtest
Depends: @, @builddeps@,
Restrictions: allow-stderr, skippable,
Features: test-name=pybuild-autopkgtest-python

=== debian/watch ===
Version: 5

Source: https://github.com/psycopg/psycopg.git
Matching-Pattern: refs/tags/@ANY_VERSION@
Mode: git
Compression: xz
Git-Mode: full
Pgp-Mode: gittag
Uversion-Mangle: s/.dev/~/; s/.alpha/~alpha/; s/.beta/~beta/; s/.rc/~rc/; s/([0-9])([ab][0-9]*)/$1~$2/g

## psycopg3 3.3.0

=== debian/changelog ===
psycopg3 (3.3.0-1) unstable; urgency=medium

  * New upstream version 3.3.0
    * Refresh patches.
    * Disable tests failing when run under autopkgtest.

 -- Tomasz Rybak <serpent@debian.org>  Mon, 01 Dec 2025 21:18:46 +0100

## psycopg3 3.3.1

=== debian/changelog ===
psycopg3 (3.3.1-1) unstable; urgency=medium

  * New upstream version 3.3.1

 -- Tomasz Rybak <serpent@debian.org>  Wed, 03 Dec 2025 22:29:16 +0100

## psycopg3 3.3.2

=== debian/changelog ===
psycopg3 (3.3.2-1) unstable; urgency=medium

  * New upstream version 3.3.2
    - Enable tests which do not fail anymore.
    - Update Standards-Version to 4.7.2; no changes necessary.

 -- Tomasz Rybak <serpent@debian.org>  Wed, 10 Dec 2025 20:48:17 +0100

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
  cython3,
 Maintainer: Tomasz Rybak <serpent@debian.org>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/psycopg3.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/psycopg3
